> ## Documentation Index
> Fetch the complete documentation index at: https://docs.truestate.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Template Versions



## OpenAPI

````yaml https://api.truestate.io/openapi.json get /task-templates/{template_id}/versions/
openapi: 3.1.0
info:
  title: TrueState Backend API
  summary: >-
    TrueState is an AI platform for business users to create high-impact AI
    solutions.
  description: >

    This **[TrueState](https://www.truestate.io/)** backend API allows our
    clients to automate and more powerfully retrieve and modify data from the
    TrueState platform.


    Example use cases include:


    - Accessing embeddings for a dataset.

    - Automating the process of dataset creation and model retraining as your
    data changes.

    - Much more.


    Our backend is built using the [FastAPI](https://fastapi.tiangolo.com/)
    framework in python

    using [Auth0](https://auth0.com/) and [Client API
    Keys](https://www.truestate.io/dawn/docs) for internal an external
    authentication, respectively.

    Our backend is designed to be secure, scalable, easy to use and well
    documented _(each router with its own linked docs page)_.

    Clients can only access data from their own organisation, as setup in Auth0
    our the Client API Keys. See how
    **[here](https://www.truestate.io/dawn/docs)**.


    **PS**: You can view this API documentation in either
    **[Swagger](swagger/docs)** or **[Redoc](redoc/)**, but only the swagger
    lets you test calls.
  contact:
    name: True State Support
    url: https://www.truestate.io/dawn/docs
    email: support@truestate.io
  license:
    name: Private
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  version: 0.13.95
servers: []
security: []
paths:
  /task-templates/{template_id}/versions/:
    get:
      tags:
        - task-templates
      summary: List Template Versions
      operationId: list_template_versions_task_templates__template_id__versions__get
      parameters:
        - name: template_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Template Id
        - name: Api-key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Api-Key
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/TemplateVersionRead'
                title: >-
                  Response List Template Versions Task Templates  Template Id 
                  Versions  Get
        '404':
          description: Not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    TemplateVersionRead:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        task_template_id:
          type: string
          format: uuid
          title: Task Template Id
        parent_version_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Parent Version Id
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        instruction:
          type: string
          title: Instruction
        assignee:
          anyOf:
            - type: string
            - type: 'null'
          title: Assignee
        context:
          anyOf:
            - $ref: '#/components/schemas/ConversationContext-Output'
            - type: 'null'
        model:
          anyOf:
            - $ref: '#/components/schemas/LLMModelType'
            - type: 'null'
        effort:
          anyOf:
            - type: string
            - type: 'null'
          title: Effort
        cron_schedule:
          anyOf:
            - type: string
            - type: 'null'
          title: Cron Schedule
        schedule_enabled:
          type: boolean
          title: Schedule Enabled
        schedule_start_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Schedule Start At
        notification_settings:
          anyOf:
            - items:
                oneOf:
                  - $ref: '#/components/schemas/EmailNotification'
                  - $ref: '#/components/schemas/SlackNotification'
                discriminator:
                  propertyName: method
                  mapping:
                    EMAIL:
                      $ref: '#/components/schemas/EmailNotification'
                    SLACK:
                      $ref: '#/components/schemas/SlackNotification'
              type: array
            - type: 'null'
          title: Notification Settings
        created_at:
          type: string
          format: date-time
          title: Created At
      type: object
      required:
        - id
        - task_template_id
        - instruction
        - schedule_enabled
        - created_at
      title: TemplateVersionRead
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ConversationContext-Output:
      properties:
        entities:
          items:
            $ref: '#/components/schemas/ContextEntity'
          type: array
          title: Entities
          default: []
        folder_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Folder Id
        current_directory:
          anyOf:
            - type: string
            - type: 'null'
          title: Current Directory
        workspace_ref:
          anyOf:
            - type: string
            - type: 'null'
          title: Workspace Ref
        visible_items:
          items:
            $ref: '#/components/schemas/WorkspaceVisibleItem'
          type: array
          title: Visible Items
          default: []
        selected_names:
          items:
            type: string
          type: array
          title: Selected Names
          default: []
      type: object
      title: ConversationContext
    LLMModelType:
      type: string
      enum:
        - truestate
        - gemini-embedding-001
        - gemini-2.0-flash
        - gemini-2.5-flash
        - gemini-2.5-flash-lite
        - gemini-2.5-pro
        - gemini-3-pro-preview
        - gemini-3-flash-preview
        - gemini-3.5-flash
        - gemini-3.5-flash-lite
        - gemini-3.7-flash
        - gpt-4.1
        - gpt-realtime-2.1
        - gpt-realtime-2.1-mini
        - gpt-realtime
        - gpt-4o-mini-transcribe
        - gpt-5-2025-08-07
        - gpt-5-mini-2025-08-07
        - gpt-5-nano-2025-08-07
        - gpt-5.1-2025-11-13
        - gpt-5.2-2025-12-11
        - gpt-5.5
        - gpt-5.4
        - gpt-5.4-mini
        - gpt-5.6-sol
        - gpt-5.6-terra
        - gpt-5.6-luna
        - o4-mini-2025-04-16
        - claude-3-5-sonnet-latest
        - claude-3-5-haiku-latest
        - claude-opus-4-8
        - claude-opus-4-7
        - claude-sonnet-5
        - claude-fable-5
        - claude-haiku-4-5
        - grok-beta
        - grok-3
        - grok-3-mini
        - grok-4
        - grok-4.5
        - z-ai/glm-5.2
        - moonshotai/kimi-k2-instruct-0905
        - openai/gpt-oss-120b
        - whisper-1
      title: LLMModelType
    EmailNotification:
      properties:
        method:
          type: string
          const: EMAIL
          title: Method
          default: EMAIL
        user_ids:
          items:
            type: string
          type: array
          title: User Ids
        member_ids:
          items:
            type: string
          type: array
          title: Member Ids
      type: object
      title: EmailNotification
    SlackNotification:
      properties:
        method:
          type: string
          const: SLACK
          title: Method
          default: SLACK
        channel_id:
          type: string
          title: Channel Id
        bot_token_secret_name:
          type: string
          title: Bot Token Secret Name
      type: object
      required:
        - channel_id
        - bot_token_secret_name
      title: SlackNotification
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    ContextEntity:
      properties:
        type:
          $ref: '#/components/schemas/ContextEntityType'
        id:
          type: string
          format: uuid
          title: Id
      type: object
      required:
        - type
        - id
      title: ContextEntity
    WorkspaceVisibleItem:
      properties:
        name:
          type: string
          title: Name
        kind:
          type: string
          title: Kind
        path:
          anyOf:
            - type: string
            - type: 'null'
          title: Path
      type: object
      required:
        - name
        - kind
      title: WorkspaceVisibleItem
    ContextEntityType:
      type: string
      enum:
        - DASHBOARD
        - PIPELINE
        - AUTOMATION
        - DATASET
        - DEPLOYMENT
        - REPORT
        - DOCUMENT
        - CONNECTION
      title: ContextEntityType
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````